//   Copyright 2012 Georg-August-Universität Göttingen, Germany
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package de.ugoe.cs.autoquest.usability;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import de.ugoe.cs.autoquest.usability.evaluation.rule.evaluator.NoLetterOrDigitTextInputsEvaluatorTest;
import de.ugoe.cs.autoquest.usability.evaluation.rule.evaluator.TextInputEntryRepetitionsEvaluatorTest;
import de.ugoe.cs.autoquest.usability.evaluation.rule.evaluator.TextInputRatioEvaluatorTest;
import de.ugoe.cs.autoquest.usability.evaluation.rule.set.EmptyUsabilityRulesetTest;
import de.ugoe.cs.autoquest.usability.evaluation.rule.set.RulesetFactoryTest;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @author Alexander Deicke
 */
@RunWith(Suite.class)
@SuiteClasses(
    { UsabilityEvaluationFacadeTest.class, UsabilityEvaluationReportTest.class,
        EmptyUsabilityRulesetTest.class, RulesetFactoryTest.class,
        NoLetterOrDigitTextInputsEvaluatorTest.class, TextInputEntryRepetitionsEvaluatorTest.class,
        TextInputRatioEvaluatorTest.class })
public class AllTests {

}
